#!/bin/sh

if [ ! -d "$JAVA_HOME" ] ; then
	if [ -d "/usr/lib/jre" ]; then
		JAVA_HOME="/usr/lib/jre"
	else
		JAVA_HOME="/usr/java"
	fi
fi

if [ ! -d "$HOME/.lbe/" ]; then
	mkdir -p "$HOME/.lbe/"
	cp -a /usr/share/lbe/*.{cfg,config} "$HOME/.lbe/"
	ln -sf /usr/share/lbe/help/ "$HOME/.lbe/"
	ln -sf /usr/share/lbe/templates/ "$HOME/.lbe/"
fi

JNDI_LIB="/usr/share/lbe/ldap.jar:/usr/share/lbe/jndi.jar:/usr/share/lbe/providerutil.jar:/usr/share/lbe/ldapbp.jar"
JSSE_LIB="/usr/share/lbe/jsse.jar:/usr/share/lbe/jnet.jar:/usr/share/lbe/jcert.jar"

cd "$HOME/.lbe/"
exec ${JAVA_HOME}/bin/java -cp ".:${JNDI_LIB}:${JSSE_LIB}:/usr/share/lbe/browser.jar" lbe.ui.BrowserApp
